Bug 19311 - Memberserver: Display samba Groups as normal user
Memberserver: Display samba Groups as normal user
Status: CLOSED WONTFIX
Product: UCS Test
Classification: Unclassified
Component: Samba
unspecified
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 14:58 CEST by Stefan Gohmann
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2010-08-08 14:58:49 CEST
Der Test schlägt auf einem Memberserver fehl:

************************************************************
* Starting '/usr/share/ucs-test/scripts/50_samba/20grouplist' at So 8. Aug 01:00:26 CEST 2010
* Message: 'Display samba Groups as normal user'
info 2010-08-08 01:00	 required package univention-samba installed
Locale is de_DE.UTF-8:UTF-8
LANG=de_DE.UTF-8
locale: LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=
bk3ue543om4fv8by0gn
info 2010-08-08 01:00	 create user 93ömb9mf
Object created: uid=93ömb9mf,cn=users,dc=amd64,dc=auto,dc=update,dc=test
***The test trying to display samba-Groups as a user failed
info 2010-08-08 01:00	 remove user 93ömb9mf
Object removed: uid=93ömb9mf,cn=users,dc=amd64,dc=auto,dc=update,dc=test
debug 2010-08-08 01:00	 user 93ömb9mf removed
info 2010-08-08 01:00	 checking whether the user 93ömb9mf is really removed
debug 2010-08-08 01:00	 user 93ömb9mf does not exist
END /usr/share/ucs-test/scripts/50_samba/20grouplist: 110 => Test failed

* STOP
************************************************************
Comment 1 Stefan Gohmann univentionstaff 2013-10-02 08:13:47 CEST
I don't think we have a problem here. The call is OK, if a DC is asked:
 net rpc group -U "stefan%univention" -S $(ucr get ldap/master)

The test case is now disabled on a member server.
Comment 2 Arvid Requate univentionstaff 2013-10-22 14:07:09 CEST
Ok, it's a general strange behaviour of winbind on a memberserver, which also affects "DOMAIN+Administrator": the net rpc group list command returns nothing, probably because winbind comes to the conclusion that the Administrator account is a local "UNIX USER", which then is not authorized to list the groups.

On the positive side: The following command works without problems:
su - join-backup -c "wbinfo -g"

This is probably enough. But good to know, here be dragons.
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:02 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".